Bug 245061 - textproc/py-xlutils: Update to 2.0.0 - compatible with Python 3.6
Summary: textproc/py-xlutils: Update to 2.0.0 - compatible with Python 3.6
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steven Kreuzer
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2020-03-25 19:43 UTC by Miroslav Lachman
Modified: 2020-03-26 17:03 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (skreuzer)


Attachments
update of port to 2.0.0 (1.18 KB, patch)
2020-03-25 19:43 UTC, Miroslav Lachman
no flags Details | Diff
poudriere testport build log success for 11.3-RELEASE (22.96 KB, text/plain)
2020-03-25 19:44 UTC, Miroslav Lachman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miroslav Lachman 2020-03-25 19:43:18 UTC
Created attachment 212710 [details]
update of port to 2.0.0

The port is marked as DEPRECATED: Uses deprecated version of python
Expiration Date EXPIRATION DATE: 2020-08-15

The port is outdated. Latest upstream version is 2.0.0. Not well maintained but should work with Python 3.6
Comment 1 Miroslav Lachman 2020-03-25 19:44:10 UTC
Created attachment 212711 [details]
poudriere testport build log success for 11.3-RELEASE
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2020-03-26 01:34:23 UTC
If there's a test dependencies and a test suite available, it would be great to add these to the port to qualify QA against multiple Python versions
Comment 3 Miroslav Lachman 2020-03-26 17:03:01 UTC
I am not Python iriented person I just updated this port because one of our client needs it to work with Python 3.6.
I don't know it there is any test suite for this.